Subject: Bug#75: fails to use RSA SSH keys

From: Reinhard Tartler <[email-masked]>
Date: Thu, 6 Dec 2012 09:53:32 +0100

On Thu, Dec 6, 2012 at 9:48 AM, Mike Gabriel
<[email-masked]> wrote:
> Hi Reinhard,
>
>
> On Do 06 Dez 2012 09:11:51 CET Reinhard Tartler wrote:
>
>> Package: pyhoca-gui
>> Version: 0.2.0.4-0~789~precise1
>>
>> The configuration dialogue asks for a private RSA/DSA keys.
>> Unfortunately, when I try to use my RSA SSH key, the connection fails
>> with "not a valid DSA key". Which is correct, but not helpful.
>>
>> BTW, when browsing for a keyfile, the window title of the file browser
>> says (in german) "select public SSH Key". I guess it still wants a
>> private one instead.
>
>
> I have also observed this behaviour. My main SSH key is an RSA key and it
> works fine.

That sentence does not make sense to me. Can you confirm that RSA keys
do not work or not?

>
> So problem 1 is the error message: it says DSA (hard-coded) but it can mean
> RSA/DSA.
>
> The ,,not a valid DSA key'' refers to a local private SSH key that does not
> get accepted by the server (no matter if the key locally is RSA or DSA).

Well, this means that the error message then is both wrong and not helpful.

> What is the exact SSH configuration in the sessions file? Do you use
> detction of default key names in the config?

This is my the relevant part of my ~/.x2goclient/sessions file

[20121202161237781818]
iconvfrom = UTF-8
height = 600
speed = 2
setsessiontitle = 0
sessiontitle =
layout = us
width = 800
krblogin = 0
soundsystem = pulse
autostart = 0
type = pc105/us
sndport = 4713
sshproxyuser =
usekbd = 1
autologin = 0
sound = 1
rootless = 0
sshproxyhost =
name = <REMOVED FOR PRIVACY>
iconvto = UTF-8
directrdp = 0
sshport = 22
startsoundsystem = 0
pack = 16m-jpeg
defsndport = 1
useiconv = 0
multidisp = 0
export = ";"
fullscreen = 0
useexports = 0
quality = 9
xdmcpserver = localhost
xinerama = 0
rdpoptions = -u X2GO_USER -p X2GO_PASSWORD
print = 0
usesshproxy = 0
sshproxytunnel = :1::1
variant = altgr-intl
sshproxykeyfile =
fstunnel = 1
applications = TERMINAL, WWWBROWSER, MAILCLIENT, OFFICE
host = <REMOVED FOR PRIVACY>
mimeboxextensions =
user = tartler
key =
directrdpsettings =
icon = /usr/share/icons/PyHoca/128x128/pyhoca-session.png
mimeboxaction = OPEN
rdpport = 3389
rdpserver =
soundtunnel = 1
rdpclient = rdesktop
command = KDE
dpi = 96
published = 0
setdpi = 0
usemimebox = 0

-- 
regards,
    Reinhard